Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519245 - hangs on reboot or shutdown when nfs file system mounted [rhel-7.4.z]
Summary: hangs on reboot or shutdown when nfs file system mounted [rhel-7.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.2
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On: 1312002
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 13:49 UTC by Oneata Mircea Teodor
Modified: 2019-04-15 07:53 UTC (History)
40 users (show)

Fixed In Version: systemd-219-42.el7_4.5
Doc Type: If docs needed, set a value
Doc Text:
Previously, during the shutdown of the systemd service, all remaining mounts were remounted to be read-only. However, remounting a network file system could become unresponsive as the network was no longer available in that phase. With this update, network file systems are not remounted in the aforementioned situation to avoid the system hang. (BZ#1519245)
Clone Of: 1312002
Environment:
Last Closed: 2018-01-25 12:02:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3181191 Troubleshoot None System hangs in shutting down with "systemd-shutdown[1]: Unmounting file systems." 2019-04-15 07:53:56 UTC
Red Hat Product Errata RHBA-2018:0155 normal SHIPPED_LIVE systemd bug fix update 2018-01-25 16:19:20 UTC

Description Oneata Mircea Teodor 2017-11-30 13:49:15 UTC
This bug has been copied from bug #1312002 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 2 Lukáš Nykrýn 2017-11-30 13:58:25 UTC
We have decided to wait with this z-stream request for a while. The code is pretty new and although customers were satisfied with test packages, we would like to do a proper testing here, before releasing z-stream.

Comment 15 errata-xmlrpc 2018-01-25 12:02:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0155


Note You need to log in before you can comment on or make changes to this bug.